<?php

namespace App\Http\Business;

use Luticate\Utils\LuBusiness;
use App\Http\DataAccess\EntityTypesDataAccess;
use App\Http\DBO\EntityTypesDbo;

class EntityTypesBusiness extends LuBusiness {
    const ENTITY_CAMERA = 1;

    protected static function getDataAccess()
    {
        return new EntityTypesDataAccess();
    }

    public static function getAllForType($type)
    {
        return EntityTypesDataAccess::getAllForType($type);
    }
}