<?php

namespace App\Http\DataAccess;

use Luticate\Utils\LuDataAccess;
use App\Http\DataAccess\Models\EntityTypes;
use App\Http\DBO\EntityTypesDbo;

class EntityTypesDataAccess extends LuDataAccess {
    protected static function getModel()
    {
        return new EntityTypes();
    }

    protected static function getOrderBy()
    {
        return array(array("name", "ASC"));
    }

    public static function getAllForType($type)
    {
        return self::getMultiple(array(array("type", "=", $type)), self::getOrderBy());
    }
}